declare const CSidebar: import("vue").DefineComponent<{
    /**
     * Hide sidebar.
     */
    hide: BooleanConstructor;
    /**
     * Make sidebar narrow.
     */
    narrow: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * Set sidebar to overlaid variant.
     */
    overlaid: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * Place sidebar in non-static positions.
     */
    position: {
        type: StringConstructor;
        default: undefined;
        validator: (value: string) => boolean;
    };
    /**
     * Make any sidebar self hiding across all viewports or pick a maximum breakpoint with which to have a self hiding up to.
     *
     * @values 'xs', 'sm', 'md', 'lg', 'xl', 'xxl'
     */
    selfHiding: {
        type: (BooleanConstructor | StringConstructor)[];
        default: undefined;
        validator: (value: boolean | string) => boolean;
    };
    /**
     * Size the component small, large, or extra large.
     */
    size: {
        type: StringConstructor;
        default: undefined;
        validator: (value: string) => boolean;
    };
    /**
     * Expand narrowed sidebar on hover.
     */
    unfoldable: BooleanConstructor;
    /**
     * Toggle the visibility of sidebar component.
     */
    visible: {
        type: BooleanConstructor;
        default: undefined;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "visible-change"[], "visible-change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    hide?: unknown;
    narrow?: unknown;
    overlaid?: unknown;
    position?: unknown;
    selfHiding?: unknown;
    size?: unknown;
    unfoldable?: unknown;
    visible?: unknown;
} & {
    hide: boolean;
    narrow: boolean;
    overlaid: boolean;
    unfoldable: boolean;
} & {
    visible?: boolean | undefined;
    size?: string | undefined;
    position?: string | undefined;
    selfHiding?: string | boolean | undefined;
}> & {
    "onVisible-change"?: ((...args: any[]) => any) | undefined;
}, {
    visible: boolean;
    size: string;
    position: string;
    hide: boolean;
    narrow: boolean;
    overlaid: boolean;
    selfHiding: string | boolean;
    unfoldable: boolean;
}>;
export { CSidebar };
